Bug 3835 - [UPDATE REQUEST] pulseaudio-5.0
: [UPDATE REQUEST] pulseaudio-5.0
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-05 15:23 MSK by Aleksandr Kazantcev
Modified: 2014-03-25 11:03 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Kazantcev 2014-03-05 15:23:49 MSK
Update PA to 5.0
Comment 1 Aleksandr Kazantcev 2014-03-05 15:25:51 MSK
Pulseaudio

https://abf.rosalinux.ru/build_lists/1680783
https://abf.rosalinux.ru/build_lists/1680784

Bluez

https://abf.rosalinux.ru/build_lists/1680785
https://abf.rosalinux.ru/build_lists/1680786

Advisory: Pulseaudio update to 5.0. Support for Bluetooth 4.0 (and with future bluez 5.x bluetooth 5.0), add new sinks, fix errors. 

Also need little update in Bluez config (/etc/bluetooth/audio.conf) to enable AutoConnect=true on default
Comment 2 Vladimir Potapov 2014-03-07 09:22:06 MSK
For one of my test machines skype sound don't work after the update
Comment 3 Aleksandr Kazantcev 2014-03-07 09:42:14 MSK
Try change string

 Exec=skype

to

 Exec=env PULSE_LATENCY_MSEC=60 skype %U

in /usr/share/applications/skype.desktop
Comment 4 Vladimir Potapov 2014-03-07 09:49:00 MSK
(In reply to comment #2)
> For one of my test machines skype sound don't work after the update
With errata solution work correct... but it's regression.
Comment 5 Vladimir Potapov 2014-03-07 09:57:41 MSK
(In reply to comment #3)
> Try change string
> 
>  Exec=skype
> 
> to
> 
>  Exec=env PULSE_LATENCY_MSEC=60 skype %U
> 
> in /usr/share/applications/skype.desktop
The solution don't work
Comment 7 Vladimir Potapov 2014-03-07 16:52:54 MSK
The update route to extended testing
Comment 8 Postnikov Dmitry 2014-03-11 12:41:02 MSK
(In reply to comment #2)
> For one of my test machines skype sound don't work after the update

I have the same thing.
I only helped board of Errata.
Comment 9 Vladimir Potapov 2014-03-11 13:32:47 MSK
Skype sound regression
**********************
QA Denied
Comment 10 Aleksandr Kazantcev 2014-03-11 14:37:05 MSK
https://abf.rosalinux.ru/build_lists/1695362
https://abf.rosalinux.ru/build_lists/1695363

Advisory: Add patch for KDE session.
Comment 11 Postnikov Dmitry 2014-03-11 18:49:54 MSK
(In reply to comment #10)
> https://abf.rosalinux.ru/build_lists/1695362
> https://abf.rosalinux.ru/build_lists/1695363
> 
> Advisory: Add patch for KDE session.

No. Don't helped. In Skype no sound.
Comment 12 Postnikov Dmitry 2014-03-11 18:55:22 MSK
(In reply to comment #11)
> (In reply to comment #10)
> > https://abf.rosalinux.ru/build_lists/1695362
> > https://abf.rosalinux.ru/build_lists/1695363
> > 
> > Advisory: Add patch for KDE session.
> 
> No. Don't helped. In Skype no sound.

Even tips Errata no help. Sound appears, but microphone is working with a very large distortion sound.
Comment 13 Vladimir Potapov 2014-03-12 15:07:03 MSK
(In reply to comment #11)
> (In reply to comment #10)
> > https://abf.rosalinux.ru/build_lists/1695362
> > https://abf.rosalinux.ru/build_lists/1695363
> > 
> > Advisory: Add patch for KDE session.
> 
> No. Don't helped. In Skype no sound.
Do Exec=env PULSE_LATENCY_MSEC=60 skype %U sound work? In my test system test call with the start line work correct.
Comment 14 Aleksandr Kazantcev 2014-03-12 15:15:33 MSK
If this line do not break system with PA 3.x ?

If not, i htink this string would be impliment in skype for default
Comment 15 Vladimir Potapov 2014-03-12 17:48:07 MSK
(In reply to comment #14)
> If this line do not break system with PA 3.x ?
> 
> If not, i htink this string would be impliment in skype for default
On my another test system the skype hint resolve the issue with skype sound like errata solve. It's excellent!
Comment 16 Postnikov Dmitry 2014-03-12 23:27:58 MSK
(In reply to comment #1)
> Pulseaudio
> 
> https://abf.rosalinux.ru/build_lists/1680783
> https://abf.rosalinux.ru/build_lists/1680784
> 
> Bluez
> 
> https://abf.rosalinux.ru/build_lists/1680785
> https://abf.rosalinux.ru/build_lists/1680786
> 
> Advisory: Pulseaudio update to 5.0. Support for Bluetooth 4.0 (and with
> future bluez 5.x bluetooth 5.0), add new sinks, fix errors. 
> 
> Also need little update in Bluez config (/etc/bluetooth/audio.conf) to
> enable AutoConnect=true on default

On this update and add start string "Exec=env PULSE_LATENCY_MSEC=60 skype %U" all normal work.

And with PulsAudio-3 with "Exec=env PULSE_LATENCY_MSEC=60 skype %U" Skype also work is normal.

All check without method from Errata.
Comment 17 Vladimir Potapov 2014-03-13 08:05:04 MSK
Oh! Update the skype, than update PA.
Comment 18 Aleksandr Kazantcev 2014-03-13 10:51:42 MSK
Please try change

/usr/bin/skype as

#!/bin/bash
if [ "`pidof skype`" != "" ]; then
    echo "Skype is already running!"
else
    LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so env PULSE_LATENCY_MSEC=60 exec /usr/share/skype/skype "$@"
fi

This file created by spec and this change more simple rather .desktop
Comment 19 Aleksandr Kazantcev 2014-03-13 10:54:42 MSK
Sorry:


# ---------------------------------
#!/bin/bash
if [ "`pidof skype`" != "" ]; then
    echo "Skype is already running!"
else
    LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so env PULSE_LATENCY_MSEC=60 /usr/share/skype/skype "$@"
fi
#------------------------
Comment 20 Vladimir Potapov 2014-03-13 11:24:08 MSK
(In reply to comment #19)
> Sorry:
> 
> 
> # ---------------------------------
> #!/bin/bash
> if [ "`pidof skype`" != "" ]; then
>     echo "Skype is already running!"
> else
>     LD_PRELOAD=/usr/lib/libv4l/v4l2convert.so env PULSE_LATENCY_MSEC=60
> /usr/share/skype/skype "$@"
> fi
> #------------------------

Ok, the solution work correct.
Comment 21 Aleksandr Kazantcev 2014-03-13 16:43:37 MSK
Skype updated in Fresh
Comment 22 Vladimir Potapov 2014-03-15 11:06:26 MSK
(In reply to comment #21)
> Skype updated in Fresh
Hm, I don't receive skype update
Comment 23 Aleksandr Kazantcev 2014-03-15 11:37:25 MSK
ABF sync with mirrors disable due KDE update
Comment 24 Vladimir Potapov 2014-03-17 06:07:40 MSK
bluez-4.101-9
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1680785/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1680786/x86_64/main/release/

pulseaudio-5.0-2
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1695362/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2012.1/container/1695363/x86_64/main/release/
***************************** Advisory *************************
 Pulseaudio update to 5.0. Support for Bluetooth 4.0 (and with future bluez 5.x bluetooth 5.0), add new sinks, fix errors. 

Also need little update in Bluez config (/etc/bluetooth/audio.conf) to enable AutoConnect=true on default
****************************************************************
QA Verified